Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cocoon.forms.binding
Class ContextJXPathBindingBuilder

    java.lang.Object
      org.apache.cocoon.forms.binding.JXPathBindingBuilderBase
          org.apache.cocoon.forms.binding.ContextJXPathBindingBuilder

All Implemented Interfaces:
  JXPathBindingBuilder

public class ContextJXPathBindingBuilder
extends JXPathBindingBuilderBase

ContextJXPathBindingBuilder provides a helper class for the Factory implemented in `JXPathBindingManager` that helps construct the actual `ContextJXPathBinding` out of the configuration in the provided configElement which looks like:

     <fb:context path="xpath expression">
       <!-- in here come the nested child bindings on the sub-context -->
     </fb:context>

The `fb:context` element can have an optional `factory` attribute, whose value, if present, must be the name of a class extending `AbstractFactory`. If this attribute is present, an instance of the named class is registered with the JXPath context and can be used to create an object corresponding to the path of the `fb:context` element upon save, if needed.

Version:
  $Id: ContextJXPathBindingBuilder.java 587759 2007-10-24 03:00:37Z vgritsenko $

Nested Class Summary

Nested classes inherited from class org.apache.cocoon.forms.binding.JXPathBindingBuilderBase
`JXPathBindingBuilderBase.CommonAttributes`

Constructor Summary
`ContextJXPathBindingBuilder()`

Method Summary
`JXPathBindingBase` | `buildBinding(Element bindingElm, JXPathBindingManager.Assistant assistant)` Creates an instance of ContextJXPathBinding with the configured path and nested child bindings from the declarations in the bindingElm

Methods inherited from class org.apache.cocoon.forms.binding.JXPathBindingBuilderBase
`getCommonAttributes, mergeCommonAttributes`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ContextJXPathBindingBuilder

    public ContextJXPathBindingBuilder()

Method Detail

### buildBinding

    public JXPathBindingBase buildBinding(Element bindingElm,
                                          JXPathBindingManager.Assistant assistant)
                                   throws BindingException

  Creates an instance of ContextJXPathBinding with the configured path and nested child bindings from the declarations in the bindingElm

  Parameters:
    `bindingElm` -
    `assistant` -
  Returns:
    JXPathBindingBase
  Throws:
    `BindingException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999-2008 The Apache Software Foundation. All Rights Reserved.